## barbican 14.0.2

=== debian/changelog ===
barbican (1:14.0.2-1~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.
  * Remove patch applied upstream:
    - CVE-2022-3100_...tring_were_mistakenly_being_used_in_the_RBAC_policy_engine.patch

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Thu, 06 Nov 2025 09:36:37 +0000

barbican (1:14.0.0-4) UNRELEASED; urgency=medium

  * CVE-2022-3100: add upstream patch:
    query_string_were_mistakenly_being_used_in_the_RBAC_policy_engine.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Oct 2022 17:04:47 +0200

barbican (1:14.0.0-3) unstable; urgency=medium

  * Also blacklist test_should_raise_with_unsigned_pkcs10_data() in
    autopkgtest (Closes: #1012485).

 -- Thomas Goirand <zigo@debian.org>  Tue, 14 Jun 2022 10:58:03 +0200

barbican (1:14.0.0-2) unstable; urgency=medium

  * Blacklist test_should_raise_with_unsigned_pkcs10_data() (Closes: #1011703).

 -- Thomas Goirand <zigo@debian.org>  Tue, 31 May 2022 09:52:24 +0200

barbican (1:14.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Mar 2022 15:53:19 +0200

barbican (1:14.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 14:39:28 +0100

barbican (1:14.0.0~rc1-1) experimental; urgency=medium

  * New upsteram release.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Fri, 11 Mar 2022 18:17:50 +0100
