=== debian/changelog ===
barbican (1:15.0.1-2) unstable; urgency=medium

  * Build-depends on openstack-pkg-tools (>= 123~).

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 Apr 2023 10:19:44 +0200

barbican (1:15.0.1-1) unstable; urgency=medium

  * New upstream point release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Feb 2023 09:12:35 +0100

barbican (1:15.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Oct 2022 10:37:38 +0200

barbican (1:15.0.0~rc3-1) unstable; urgency=high

  * New upstream release:
    - fix CVE-2022-3100: incorrectly parsed requests which could allow an
       authenticated user to bypass Barbican access policy (Closes: #1021139).

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Oct 2022 11:34:10 +0200

barbican (1:15.0.0~rc1-1) unstable; urgency=medium

  * Start barbican services after frr.
  * New upstream release.
  * Add python3-microversion-parse as (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 Sep 2022 09:13:18 +0200
