=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends:
  debhelper-compat (= 11),
  dh-python,
- openstack-pkg-tools,
+ openstack-pkg-tools (>= 123~),
  po-debconf,
  python3-all,
  python3-pbr,
@@ -30,6 +30,7 @@
  python3-keystoneclient,
  python3-keystonemiddleware,
  python3-ldap3,
+ python3-microversion-parse,
  python3-openssl,
  python3-openstackdocstheme <!nodoc>,
  python3-os-api-ref <!nodoc>,
@@ -166,6 +167,7 @@
  python3-jsonschema,
  python3-keystonemiddleware,
  python3-ldap3,
+ python3-microversion-parse,
  python3-openssl,
  python3-oslo.concurrency,
  python3-oslo.config,
