## barbican 16.0.0~rc1

=== debian/changelog ===
barbican (2:16.0.0~rc1-0ubuntu1) lunar; urgency=medium

  * d/watch: Drop major version.
  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 01 Mar 2023 11:12:21 -0500

barbican (2:15.0.1+git2023011009.aba0bd07-0ubuntu1) lunar; urgency=medium

  * New upstream snapshot for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.
  * d/py3dist-overrides: Added to ignore ldap3.
  * d/p/ldap3-to-ldap.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 10 Jan 2023 09:33:00 -0500
