## barbican 16.0.0

=== debian/changelog ===
barbican (2:16.0.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 23 Mar 2023 14:16:52 -0400
