## barbican 16.0.0+git2023071213.d929cd84

=== debian/changelog ===
barbican (2:16.0.0+git2023071213.d929cd84-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream snapshot for OpenStack Bobcat.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jul 2023 13:58:18 -0400
