## barbican 16.0.2

=== requirements.txt ===
--- 
+++ 
@@ -25,8 +25,7 @@
 pecan!=1.0.2,!=1.0.3,!=1.0.4,!=1.2,>=1.0.0 # BSD
 pyOpenSSL>=17.1.0 # Apache-2.0
 ldap3>=1.0.2 # LGPLv3
-keystonemiddleware>=5.1.0 # Apache-2.0
-six>=1.10.0 # MIT
+keystonemiddleware>=9.5.0 # Apache-2.0
 SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
 stevedore>=1.20.0 # Apache-2.0
 WebOb>=1.7.1 # MIT
