=== debian/changelog ===
barbican (1:16.0.2-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream point release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-antelope.infomaniak.ch>  Fri, 26 Sep 2025 07:57:35 +0000

barbican (1:16.0.0-4) unstable; urgency=medium

  * Correctly cleans built files (Closes: #1043644).

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Aug 2023 11:49:23 +0200

barbican (1:16.0.0-3) unstable; urgency=medium

  * Uploading to unstable.
  * Removed obsolete lsb-base depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 13:44:56 +0200

barbican (1:16.0.0-2) experimental; urgency=medium

  * Build-depends on openstack-pkg-tools (>= 123~).

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 Apr 2023 10:20:33 +0200

barbican (1:16.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Mar 2023 13:09:19 +0100

barbican (1:16.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-six from (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Mar 2023 15:38:19 +0100
