=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,10 @@
 	rm -rf build
 	rm -rf barbican.sqlite
 	rm -f debian/barbican-api.postinst debian/barbican-api.config debian/barbican-common.postinst debian/barbican-common.config debian/barbican-common.postrm
+	find $(CURDIR) -type f -iname '*.pyc' -delete || true
+	find $(CURDIR) -type d -iname __pycache__ -exec rm -rf {} \; || true
+	rm -rf *.egg-info || true
+	rm -f doc/source/_static/barbican.conf.sample doc/source/_static/barbican.policy.yaml.sample
 
 override_dh_auto_build:
 	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func barbican-api.postinst
