=== debian/changelog ===
barbican (2:17.0.0-0ubuntu2~cloud0) jammy-bobcat; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 05 Oct 2023 22:50:49 +0000

barbican (2:17.0.0-0ubuntu2) mantic; urgency=medium

  * d/p/install-missing-db-files.patch: Install missing db files, including
    barbican/model/migration/ files.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 05 Oct 2023 17:12:43 -0400

barbican (2:17.0.0-0ubuntu1) mantic; urgency=medium

  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 04 Oct 2023 08:47:37 -0400

barbican (2:16.0.0+git2023090509.c8e3dc14-0ubuntu1) mantic; urgency=medium

  * New upstream snapshot for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 05 Sep 2023 09:14:10 -0400
