## barbican 17.0.0+git2024011915.73de2e8c

=== debian/changelog ===
barbican (2:17.0.0+git2024011915.73de2e8c-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream snapshot for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Fri, 19 Jan 2024 15:51:51 +0000
