## barbican 18.0.0

=== debian/changelog ===
barbican (1:18.0.0-2~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Set export OS_OSLO_MESSAGING_RABBIT__PROCESSNAME for all daemons.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-caracal.infomaniak.ch>  Fri, 25 Jul 2025 10:09:59 +0000

barbican (1:18.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Disable test_keystone_listener.WhenUsingNotificationTask.* that needs
    further configuration to not fail.

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Apr 2024 09:01:02 +0200

barbican (1:18.0.0~rc1-1) experimental; urgency=medium

  * Add close-on-exec{2,} = true in uwsgi config.
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 17 Mar 2024 11:56:50 +0100

barbican (1:17.0.0-2) unstable; urgency=medium

  * Add missing namespaces when generating barbican.conf.

 -- Thomas Goirand <zigo@debian.org>  Tue, 10 Oct 2023 14:16:40 +0200

barbican (1:17.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 23:11:22 +0200

barbican (1:17.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Cleans better.

 -- Thomas Goirand <zigo@debian.org>  Sat, 16 Sep 2023 16:02:23 +0200
