=== debian/control ===
--- 
+++ 
@@ -39,7 +39,7 @@
  python3-oslo.db,
  python3-oslo.i18n,
  python3-oslo.log,
- python3-oslo.messaging,
+ python3-oslo.messaging (>= 14.1.0),
  python3-oslo.middleware,
  python3-oslo.policy (>= 3.6.0),
  python3-oslo.serialization,
@@ -171,7 +171,7 @@
  python3-oslo.db,
  python3-oslo.i18n,
  python3-oslo.log,
- python3-oslo.messaging,
+ python3-oslo.messaging (>= 14.1.0),
  python3-oslo.middleware,
  python3-oslo.policy (>= 3.6.0),
  python3-oslo.serialization,
